Summary:	Tools for Ogg media streams
Name:		ogmtools
Version:	1.5
Release:	1%{?dist}
License:	GPL-2.0-or-later
URL:		https://www.bunkus.org/videotools/ogmtools
Source:		%{url}/%{name}-%{version}.tar.bz2
Patch1:		ogmtools-1.5-optflags.patch
Patch2:		ogmtools-configure-c99.patch

BuildRequires:	gcc-c++
BuildRequires:	libdvdread-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	make

# Bundled and forked copy
Provides:       bundled(avilib)

%description
These tools allow information about (ogminfo) or extraction from (ogmdemux) or
creation of (ogmmerge) OGG media streams. Note that OGM is used for "OGG media
streams".

%prep
%autosetup -p1

# Convert Changelog to UTF-8
iconv -f iso8859-1 -t utf8 ChangeLog -o ChangeLog.txt
touch -r ChangeLog ChangeLog.txt
mv ChangeLog.txt ChangeLog

%build
export CXXFLAGS="-std=c++14 %{optflags}"
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README TODO
%{_bindir}/dvdxchap
%{_bindir}/ogmcat
%{_bindir}/ogmdemux
%{_bindir}/ogminfo
%{_bindir}/ogmmerge
%{_bindir}/ogmsplit
%{_mandir}/man1/dvdxchap.1*
%{_mandir}/man1/ogmcat.1*
%{_mandir}/man1/ogmdemux.1*
%{_mandir}/man1/ogminfo.1*
%{_mandir}/man1/ogmmerge.1*
%{_mandir}/man1/ogmsplit.1*

%changelog
* Thu Jul 25 2024 Qin Fandong <qinfandong@redflag-os.com> - 1.5-1
- Init package
